<?php
/**
 * This is the template that displays the item block
 *
 * This file is not meant to be called directly.
 * It is meant to be called by an include in the main.page.php template (or other templates)
 *
 * b2evolution - {@link http://b2evolution.net/}
 * Released under GNU GPL License - {@link http://b2evolution.net/about/license.html}
 * @copyright (c)2003-2010 by Francois PLANQUE - {@link http://fplanque.net/}
 *
 * @package evoskins
 *
 * modified on the 05/09/12 by JL (Jacques Louvel) - see JL120905 below
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );

global $Item;

// Default params:
$params = array_merge( array(
		'feature_block'            => false,
		'item_class'                => 'bPost',
		'item_status_class'      => 'bPost',
		'content_mode'           => 'full', // We want regular "full" content, even in category browsing: i-e no excerpt or thumbnail
		'image_size'                => '', // Do not display images in content block - Image is handled separately
		'url_link_text_template' => '', // link will be displayed (except player if podcast)
	), $params );

?>

<div id="<?php $Item->anchor_id() ?>" class="<?php $Item->div_classes( $params ) ?>" lang="<?php $Item->lang() ?>">

	<?php
		$Item->locale_temp_switch(); // Temporarily switch to post locale (useful for multilingual blogs)
	?>

	<?php
		// Display images that are linked to this post:
		$Item->images( array(
				'before' =>                    '<div class="bImages">',
				'before_image' =>           '<div id="jl_bImg" class="image_block">',
				'before_image_legend' => '<div class="image_legend">',
				'after_image_legend' =>   '</div>',
				'after_image' =>             '</div>',
				'after' =>                      '</div>',
				'image_link_to' =>          '',  // Can be 'orginal' (image) or 'single' (this post)
				'image_size' =>              'fit-720x500',
				/* Comment the above line to use the default image size
				 * (fit-720x500). Possible values for the image_size
				 * parameter are:
				 * fit-720x500, fit-640x480, fit-520x390, fit-400x320,
				 * fit-320x320, fit-160x160, fit-160x120, fit-80x80,
				 * crop-80x80, crop-64x64, crop-48x48, crop-32x32,
				 * crop-15x15
				 * See also the $thumbnail_sizes array in conf/_advanced.php.
				 */
				'restrict_to_image_position' => 'teaser',	// Optionally restrict to files/images linked to specific position: 'teaser'|'aftermore'
			) );
	?>

	<div class="bDetails">

		<div class="bSmallHead">
			<!--  This section reorganised JL120905 -->
			<h3 class="bTitle"><?php $Item->title(); ?></h3>

			<?php
				$Item->issue_date( array(
						'before'      => '<br /><span class="timestamp">',
						'after'       => '</span>',
						'date_format' => 'l j F, Y', //locale_datefmt().' H:i',
					) );
				// JL120905 mod 6 display private or protected status
				$jl_status = @$Item->status;
				if($jl_status == 'private'){ echo '<span style="color:red;font-size:8pt;">&nbsp;priv</span>';}
				elseif($jl_status == 'protected'){ echo '<span style="color:red;font-size:8pt;">&nbsp;rserv</span>';};
				// End of JL120905 mod 6
			?>

			<?php
				// JL120905 mod 7 share with facebook or google+
				if( ($jl_status != 'private') AND  ($jl_status != 'protected') )
				{ 
					if( ! $Item->is_intro() )
					{
						//echo ' <a name="fb_share" type="button" share_url="';echo $Item->permanent_url(); echo'" href="http://www.facebook.com/sharer.php">Partagez</a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>'; 
						echo ' <div class="action_right" style="margin-top:-7px;">';
						echo ' <span style="color:white;">Partagez &raquo;</span>';
						echo ' <a href="http://www.facebook.com/sharer.php?u='; echo $Item->permanent_url(); echo '&t='; echo $Item->title(); echo '&src=sp" title="Ce lien ouvre une nouvelle fentre pour partager cet article sur votre mur sur Facebook ( condition d\'avoir un compte fb ouvert  votre nom, bien sr)" target="hors-moi"><img style="width:22px;vertical-align:-5px;" src="img/fb.png" alt="Partagez cet article sur Facebook" /></a>';
						echo ' &nbsp;<a href="https://plus.google.com/share?url='; echo $Item->permanent_url(); echo '" &title="'; echo $Item->title(); echo '" title="Ce lien ouvre une nouvelle fentre pour partager cet article sur votre profil sur Google+ ( condition d\'avoir un compte G+ ouvert  votre nom, bien sr)" target="hors-moi"><img style="width:21px;vertical-align:-4px;" src="img/gplus-32.png" alt="Partagez cet article sur Google+" /></a>';
						echo '</div>';
					};
				};
				// End of JL120905 mod 7
			?>

			<?php
				// Link to comments, trackbacks, etc.:
				$Item->feedback_link( array(
								'type' => 'feedbacks',
								'link_before' => '<div class="action_right">',
								'link_after' => '</div>',
								'link_text_zero' => '<span style="font-weight:bold;color:lightblue;">Ragir (clic)</span>', // get_icon( 'nocomment' ),
								'link_text_one' => 'Raction'.get_icon( 'comments' ).' (clic)',
								'link_text_more' => 'Ractions'.get_icon( 'comments' ).' (clic)',
								'link_title' => '#',
								'use_popup' => true,
							) );

				$Item->permanent_link( array(
						'before'   => '<div class="action_right">',
						'after'     => '</div>',
						'text'      => '<span title="Lien permanent vers l\'article complet">Lien</span>', /*T_('Permalink'), */
					) );
			?>

			<?php
				$Item->edit_link( array( // Link to backoffice for editing
						'before'    => '<div class="action_right">',
						'after'     => '</div>',
						'text'      => T_('Edit...'),
						'title'     => T_('Edit title/description...'),
					) );
			?>

		</div>

		<?php
			// Display images that are linked as "after more" on this post:
			// We are actually displaying them before more here, but this is a special photo skin.
			$Item->images( array(
					'before' =>                    '<div class="bImages">',
					'before_image' =>           '<div class="image_block">',
					'before_image_legend' => '<div class="image_legend">',
					'after_image_legend' =>   '</div>',
					'after_image' =>             '</div>',
					'after' =>                      '</div>',
					'image_size' =>              'fit-520x390',
					'restrict_to_image_position' => 'aftermore',	// Optionally restrict to files/images linked to specific position: 'teaser'|'aftermore'
				) );
		?>

		<?php
			// ---------------------- POST CONTENT INCLUDED HERE ----------------------
			// Note: at the top of this file, we set: 'image_size' =>	'', // Do not display images in content block - Image is handled separately
			skin_include( '_item_content.inc.php', $params );
			// Note: You can customize the default item feedback by copying the generic
			// /skins/_item_feedback.inc.php file into the current skin folder.
			// -------------------------- END OF POST CONTENT -------------------------
		?>

		<div class="bSmallPrint">
		<?php
			$Item->author( array(
					'before'    => T_('By').' ',
					'after'     => ' &bull; ',
				) );
		?>

		<?php
			$Item->categories( array(
				'before'              => T_('Albums').': ',
				'after'                => ' ',
				'include_main'      => true,
				'include_other'     => true,
				'include_external' => true,
				'link_categories'   => true,
			) );
		?>

		<?php
			// List all tags attached to this post:
			$Item->tags( array(
					'before' =>         ' &bull; '.T_('Tags').': ',
					'after'   =>          ' ',
					'separator' =>      ', ',
				) );
		?>

		<?php
			// URL link, if the post has one:
			$Item->url_link( array(
					'before'           => ' &bull; '.T_('Link').': ',
					'after'             => ' ',
					'text_template' => '$url$',
					'url_template'   => '$url$',
					'target'           => '',
					'podcast'         => false,        // DO NOT display mp3 player if post type is podcast
				) );
		?>

		</div>
	</div>

	<?php
		// ------------------ FEEDBACK (COMMENTS/TRACKBACKS) INCLUDED HERE ------------------
		skin_include( '_item_feedback.inc.php', array(
				'before_section_title' => '<h4>',
				'after_section_title'  => '</h4>',
			) );
		// Note: You can customize the default item feedback by copying the generic
		// /skins/_item_feedback.inc.php file into the current skin folder.
		// ---------------------- END OF FEEDBACK (COMMENTS/TRACKBACKS) ---------------------
	?>
	
	<?php
		// JL120905 mod 1 continued - invisible div used to get name of main cat with js
		echo '<div id="jl_catid" style="display:none;">';
		$Item->categories( array(
			'before'              => T_('Album').': ',
			'after'                => ' ',
			'include_main'      => true,
			'include_other'     => false,
			'include_external' => false,
			'link_categories'   => false,
		) );
		echo '</div>';
		// End of JL120905 mod 1 continued
	?>

	<?php
		locale_restore_previous();	// Restore previous locale (Blog locale)
	?>

</div>
<?php
/*
 * $Log: _item_block.inc.php,v $
 */
?>